Subject: Re: exim 4.12-3 winsock problem (was Re: 1.3.21)
From: Jason Tishler <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Wed, 26 Feb 2003 08:39:44 -0500

Pierre,

On Tue, Feb 25, 2003 at 06:29:01PM -0500, Andre Bleau wrote:
> Sorry to jump in now. A good way to resolve that kind of problem is
> auditing. As administrator, enable auditing. With regedt32, enable
> auditing on selected keys and subkeys for read or write failure, as
> required. You will find results in event viewer, in the security log.

Andre, no need to apologize -- the above is a very good suggestion.

This problem has turned into great learning experience.  It's ironic how
the most painful problems usually yield the greatest insights, knowledge,
etc.

On Tue, Feb 25, 2003 at 04:56:45PM -0500, Pierre A. Humblet wrote:
> Jason Tishler wrote:
> > Do you want me further isolate?  If so, any hints?
> 
> Yes, please! Your guess is as good as mine. Anything having to do with
> networking?

Using good old fashioned strings and Andre's suggestion I have isolated
the registry keys requiring read access for Everyone (which did not
already have it) to the following:

    1. HKLM\System\CurrentControlSet\Services\Winsock\Parameters
    2. HKLM\System\CurrentControlSet\Services\WinSock2\Parameters

I guess that the above is no great surprise.

BTW, not having read access for Everyone on the above keys causes the
following exim error messages:

    1. IPv4 socket creation failed: Operation not permitted
    2. cannot find smtp/tcp service when starting daemon

respectively.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/